Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(166)

Issue 196040043: Add canAcceptNArgs method (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 years ago by jacobr
Modified:
7 years ago
Reviewers:
sigmund, John Messerly
CC:
vsm, leafp_google.com, Bob Nystrom
Base URL:
git@github.com:dart-lang/smoke.git@master
Visibility:
Public.

Description

Add canAcceptNArgs method Merge branch 'master' of github.com:dart-lang/smoke Rev version for smoke due to breaking change switching the maximum number of args handled from 3 to 15 BUG= R=jmesserly@google.com Committed: 7b01437b6f7241520888eec3fa9fc5dd36a5ba74

Patch Set 1 #

Total comments: 4

Patch Set 2 : ptal #

Unified diffs Side-by-side diffs Delta from patch set Stats (+389 lines, -58 lines) Patch
M CHANGELOG.md View 1 chunk +3 lines, -0 lines 0 comments Download
M lib/smoke.dart View 1 chunk +1 line, -1 line 0 comments Download
M lib/src/common.dart View 1 3 chunks +44 lines, -2 lines 0 comments Download
M pubspec.yaml View 1 chunk +1 line, -1 line 0 comments Download
M test/args_test.dart View 1 14 chunks +340 lines, -54 lines 0 comments Download

Messages

Total messages: 5
jacobr
Looks like I need this in addition to minArgs and maxArgs.
7 years ago (2015-01-16 04:55:48 UTC) #1
John Messerly
lgtm except for 2 style nits :) https://codereview.appspot.com/196040043/diff/1/lib/src/common.dart File lib/src/common.dart (right): https://codereview.appspot.com/196040043/diff/1/lib/src/common.dart#newcode136 lib/src/common.dart:136: return (f ...
7 years ago (2015-01-16 16:32:38 UTC) #2
sigmund
ditto :)
7 years ago (2015-01-16 16:40:35 UTC) #3
jacobr
https://codereview.appspot.com/196040043/diff/1/lib/src/common.dart File lib/src/common.dart (right): https://codereview.appspot.com/196040043/diff/1/lib/src/common.dart#newcode136 lib/src/common.dart:136: return (f is _Func0); On 2015/01/16 16:32:38, John Messerly ...
7 years ago (2015-01-20 16:17:40 UTC) #4
jacobr
7 years ago (2015-01-20 16:22:57 UTC) #5
Message was sent while issue was closed.
Committed patchset #2 (id:20001) manually as
7b01437b6f7241520888eec3fa9fc5dd36a5ba74 (presubmit successful).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b